# Changelog

## [0.9.0](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/compare/0.8.0...0.9.0) (2024-12-02)

### Features

* add OpenAPI schema to release artefacts ([06a51ef](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/06a51efe6cb6c8a538f714f5d67fd6a84af56829))

### Bug Fixes

* ensure OpenAPI artefact paths exist in before_scripts ([546bfab](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/546bfabcab2f9604544498dd7416d19e9f63b09b))

## [0.8.0](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/compare/0.7.0...0.8.0) (2024-11-28)

### Features

* add the bones of an OpenAPI client generation mechanism ([929894f](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/929894f5209d90ce0439e80f321f980091f449a8)), closes [#24](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/issues/24)

## [0.7.0](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/compare/0.6.0...0.7.0) (2024-11-27)

### Features

* add `generate-schema` task to Poe configuration ([5e9325e](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/5e9325ee35ced508c5832c10dc4319425defe457))
* add custom MethodNotAllowedErrorSerializer ([412e468](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/412e4681b82ea5d078a63fffd0b83fa5b737eabf))
* add generated openapi.yaml ([b092c51](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/b092c513614af897a84e763cd3349791b6618ea0))
* add openapi-spec-validator ([11cc102](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/11cc102e1a6642f85b6ba1d97eaeb619c93fa233))
* add operation IDs to API endpoints for enhanced documentation clarity ([f9d6e61](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/f9d6e6112287a18455e33a3a0f355c498de76b24))
* add TokenResponseSerializer & extend_schema for LoginView ([64495fe](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/64495fe366c83da39a06388735a3445cf25f1e07))
* **api:** add `TokenAuthenticationExtension` for OpenAPI schema support ([28c8f40](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/28c8f404c4f74624ac8942e6683b7e9d5f62bc55))
* **api:** enhance AccountDetailsView with detailed OpenAPI response schemas ([fa5f170](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/fa5f1706ff2d948160c11ba577ab876963437e09))
* **auth:** add `EmptySerializer` to token management views ([1306986](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/13069865db8747ba5dab3d51a8415664d2a6a077))
* **authentication:** add TokenErrorSerializer for OAuth2 error handling ([8d36fb2](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/8d36fb2f11efe9ed69e706d745bfc92f3e95640e))
* **authentication:** enhance LogoutView & LogoutAllView with detailed OpenAPI response schemas ([df6038f](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/df6038f706065e1b2b402917c79c28b17488a170))
* **docs:** add OpenAPI specification generation instructions ([4307935](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/43079354c9c01805d88637a1d858fcd44487740e))
* **settings:** add version retrieval from `pyproject.toml` ([0b88af1](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/0b88af1ca72fe5ee4f5cf15aec9aaf47bbec1e86))
* update based on review ([6e41ad7](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/6e41ad76bf6f3325a5ba26636b62d32c691ccd74))

### Bug Fixes

* **api:** update version of api in path ([7dc591f](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/7dc591fc6de0026f43453c3ea612d8cbf7eb4ae4))
* **openapi:** set DEFAULT_VERSION to v1alpha1 to fix missing account endpoints in spec ([c546ab7](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/c546ab7a7e38145e8351d82ac22bcbe4472942ee))
* update description of 405 error ([72a9f43](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/72a9f4397e25e7012a6e9810f2911686141b5959))
* update formatting ([e08d42c](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/e08d42ce5e38b2139be768f8c120e2e38110bb3b))
* update isort formatting ([614a83c](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/614a83c25dd0ab2e6829c34f9d864fc0e7b963cd))

## [0.6.0](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/compare/0.5.0...0.6.0) (2024-11-13)

### Features

* **config:** update token TTL and auto-refresh max TTL in REST_KNOX ([9828489](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/9828489a514f8b8b5a52ba3c169bcf80acb35033))

## [0.5.0](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/compare/0.4.1...0.5.0) (2024-11-11)

### Features

* add management command to delete accounts ([c3c9bb9](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/c3c9bb9952f6f4d4d3c7c894355b323f50726320))

## [0.4.1](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/compare/0.4.0...0.4.1) (2024-11-11)

### Bug Fixes

* enhance AccountFactory attributes and update README.md ([a521545](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/a5215458819020d860a84be7cbfaa9b2707f091b))

## [0.4.0](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/compare/0.3.1...0.4.0) (2024-11-01)

### Features

* ensure crsid field is always lower cased ([8ce476a](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/8ce476a0acda3663b15b1892fc337d4c57687775))

### Bug Fixes

* add posargs to tox config ([9618ce1](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/9618ce15e57f754edc0a2c3362814a0ee9e42be8))

## [0.3.1](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/compare/0.3.0...0.3.1) (2024-10-30)

### Bug Fixes

* allow revoking tokens ([ef459ee](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/ef459ee2404750525e7ac50f778e5f6ee4e3a848))
* print mock user details on creation ([b3305a9](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/b3305a970503988f32b0a842c5ac16d38c5cd152))

## [0.3.0](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/compare/0.2.1...0.3.0) (2024-10-28)

### Features

* add account details model ([bf1cfdf](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/bf1cfdf52aa8fe263da21196f12f06cf2e7379fe))
* add session creation and return mechanism to API

## [0.2.1](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/compare/0.2.0...0.2.1) (2024-10-28)

### Bug Fixes

* **tox.ini:** set build dir to match where CI jobs expect it to be ([7aee8ff](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/7aee8ff7ad1d23269df890593f2d3020cfcaec14))

## [0.2.0](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/compare/0.1.0...0.2.0) (2024-10-17)

### Features

* update renovate-bot config ([5042acf](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/5042acf5935eda1c58878f4ff9f99724c5330815))

### Bug Fixes

* correct renovate config ([c41f624](https://gitlab.developers.cam.ac.uk/uis/devops/iam/activate-account/api/commit/c41f624b6a09ef93b74cfb64cef5635e45f7c2a1))
